Bug 842138 - [abrt] rhythmbox-2.97-1.fc17: rb_player_gst_xfade_bus_cb: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: rb_player_gst_xfade_bus_cb: Process /usr/bin/rh...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:11f53ecb0015ec82434db079ca3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 09:45 EDT by bedny
Modified: 2013-07-31 16:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:51:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (30.04 KB, text/plain)
2012-07-22 09:45 EDT, bedny
no flags Details
File: build_ids (10.13 KB, text/plain)
2012-07-22 09:45 EDT, bedny
no flags Details
File: xsession_errors (84.29 KB, text/plain)
2012-07-22 09:45 EDT, bedny
no flags Details
File: backtrace (136.84 KB, text/plain)
2012-07-22 09:45 EDT, bedny
no flags Details
File: maps (123.87 KB, text/plain)
2012-07-22 09:45 EDT, bedny
no flags Details

  None (edit)
Description bedny 2012-07-22 09:45:43 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_player_gst_xfade_bus_cb
executable:     /usr/bin/rhythmbox
kernel:         3.4.5-2.fc17.x86_64
pid:            20517
time:           Вс. 22 июля 2012 17:38:22
uid:            1000

backtrace:      Text file, 140123 bytes
build_ids:      Text file, 10373 bytes
dso_list:       Text file, 30760 bytes
maps:           Text file, 126842 bytes
xsession_errors: Text file, 86315 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Sergey/2

core_backtrace:
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xd6c60 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xd788e - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0xd8c20 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x5e491 - librhythmbox-core.so.6 -
:9ed2f161e27f290033f5f2373f65c09d005f8c3b 0x5e661 - librhythmbox-core.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=Gerundy
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6d1f9bcb869dd1d41b7afc200000000b-1342878645.878107-832592935
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/Sergey/keyring-sA9P1c
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=Sergey
:USERNAME=Sergey
:MAIL=/var/spool/mail/Sergey
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Sergey/.local/bin:/home/Sergey/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Sergey
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1198
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/Sergey
:SHLVL=1
:LOGNAME=Sergey
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Akfc4ubYhq,guid=a661b210c650ad625b3b5f7a00000071
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Sergey
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-Sergey-xxJ6HA/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1202,unix/unix:/tmp/.ICE-unix/1202
:GPG_AGENT_INFO=/run/user/Sergey/keyring-sA9P1c/gpg:0:1
:SSH_AUTH_SOCK=/run/user/Sergey/keyring-sA9P1c/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=20517
:DESKTOP_STARTUP_ID=gnome-shell-16880-Gerundy-rhythmbox-5_TIME68966581

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31451                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31451                31451                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Sergey/.xsession-errors
:pos:	4769305
:flags:	0102002
:2:/home/Sergey/.xsession-errors
:pos:	4769305
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[7807341]
:pos:	0
:flags:	02000002
:5:socket:[7807343]
:pos:	0
:flags:	02004002
:6:socket:[7807346]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[7807348]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[7807358]
:pos:	0
:flags:	02004002
:13:/home/Sergey/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[7807404]
:pos:	0
:flags:	02004002
:15:/home/Sergey/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002
:16:/tmp/ffiTqCYZ6 (deleted)
:pos:	0
:flags:	0100002
:17:socket:[7807445]
:pos:	0
:flags:	02004002
:18:socket:[7808829]
:pos:	0
:flags:	02004002
:19:socket:[7807449]
:pos:	0
:flags:	02004002
:20:anon_inode:inotify
:pos:	0
:flags:	02004000
:21:socket:[7807451]
:pos:	0
:flags:	02004002
:22:socket:[7819950]
:pos:	0
:flags:	02004002
:23:socket:[8805877]
:pos:	0
:flags:	02004002
:24:socket:[7825344]
:pos:	0
:flags:	02
:25:socket:[7811136]
:pos:	0
:flags:	02004002
:26:socket:[7825346]
:pos:	0
:flags:	02004002
:27:pipe:[7810577]
:pos:	0
:flags:	00
:28:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:29:socket:[8806488]
:pos:	0
:flags:	02
:30:socket:[8806490]
:pos:	0
:flags:	02004002
:31:socket:[7927219]
:pos:	0
:flags:	04002
:32:socket:[7927220]
:pos:	0
:flags:	04002
:33:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:34:socket:[8806003]
:pos:	0
:flags:	02004002
:35:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:36:socket:[8806006]
:pos:	0
:flags:	04002
:37:socket:[8806007]
:pos:	0
:flags:	04002
:38:pipe:[8806008]
:pos:	0
:flags:	02004000
:39:pipe:[8806008]
:pos:	0
:flags:	02004001
:40:socket:[8806572]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 22 12:35:36 Gerundy kernel: [67603.078819] rhythmbox[15326]: segfault at 0 ip 00000036a3e7e7cc sp 00007fffa24682f0 error 4 in librhythmbox-core.so.6.0.0[36a3e00000+13a000]
:Jul 22 12:35:39 Gerundy abrt[16266]: Saved core dump of pid 15326 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-07-22-12:35:36-15326 (1261248512 bytes)
:Jul 22 12:45:13 Gerundy abrt: detected unhandled Python exception in 'rhythmbox'
:Jul 22 12:49:32 Gerundy abrt: detected unhandled Python exception in 'rhythmbox'
:Jul 22 12:51:54 Gerundy abrt: detected unhandled Python exception in 'rhythmbox'
:Jul 22 12:53:29 Gerundy abrt: detected unhandled Python exception in 'rhythmbox'
:Jul 22 12:54:40 Gerundy abrt: detected unhandled Python exception in 'rhythmbox'
:Jul 22 17:38:22 Gerundy kernel: [85769.375796] rhythmbox[25397]: segfault at 158 ip 00000036a3ed6c60 sp 00007f99a2805a40 error 4 in librhythmbox-core.so.6.0.0[36a3e00000+13a000]
:Jul 22 17:38:26 Gerundy abrt[25405]: Saved core dump of pid 20517 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-07-22-17:38:22-20517 (1266917376 bytes)
Comment 1 bedny 2012-07-22 09:45:47 EDT
Created attachment 599607 [details]
File: dso_list
Comment 2 bedny 2012-07-22 09:45:49 EDT
Created attachment 599608 [details]
File: build_ids
Comment 3 bedny 2012-07-22 09:45:51 EDT
Created attachment 599609 [details]
File: xsession_errors
Comment 4 bedny 2012-07-22 09:45:54 EDT
Created attachment 599610 [details]
File: backtrace
Comment 5 bedny 2012-07-22 09:45:56 EDT
Created attachment 599611 [details]
File: maps
Comment 6 wallyk 2012-12-12 16:59:38 EST
All using radio:  Listened to radio paradise for awhile (10+ minutes)
pressed "next" control, which oddly chose another radio station (wbur.org)
Played for 3 minutes 58 seconds and then stopped.
Clicked on HBR1.com Tronic Lounge.  Then double clicked.  Then pressed "play" control.
Wndow disappeared, crash report appeared.

It appears to be reproducible 2 out of 3 tries.  The exact stations didn't matter.  Only the pressing of "play" while it was possibly already connecting to the station based on clicking on a new station.  The timing of the "play" click appears to be important for it to crash.


backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 wallyk 2012-12-14 20:16:40 EST
While trying to reproduce a previous crash.  The essential items seems to be double clicking on a different (from currently playing) radio station while the player is in the midst of connecting to the current one.

backtrace_rating: 4
Package: rhythmbox-2.97-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Erwin van Londen 2013-06-19 08:23:01 EDT
Opening an icecast stream.

backtrace_rating: 4
cmdline:        rhythmbox
core_backtrace: 
crash_function: rb_player_gst_xfade_bus_cb
executable:     /usr/bin/rhythmbox
kernel:         3.8.13-100.fc17.x86_64
package:        rhythmbox-2.97-1.fc17
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
ureports_counter: 1
Comment 9 Fedora End Of Life 2013-07-03 16:39:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 16:51:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.